Last Comment Bug 832031 - Project Kickoff Form: Add "PO Needed?" when "<=$25,000" is selected under "Vendor Cost"
: Project Kickoff Form: Add "PO Needed?" when "<=$25,000" is selected under "Ve...
Status: RESOLVED FIXED
:
Product: bugzilla.mozilla.org
Classification: Other
Component: Extensions: MozProjectReview (show other bugs)
: Production
: All All
: -- normal (vote)
: ---
Assigned To: David Lawrence [:dkl]
:
:
Mentors:
Depends on: 817157
Blocks: 787478 819022
  Show dependency treegraph
 
Reported: 2013-01-17 14:45 PST by Winnie Aoieong [:winnie]
Modified: 2013-01-31 10:21 PST (History)
9 users (show)
See Also:
Due Date:
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description Winnie Aoieong [:winnie] 2013-01-17 14:45:33 PST
Currently if "yes" is selected for "Separated Party", "Vendor Cost" populates.

1. Please add a new dropdown "Yes/No" for "PO Needed?" if "<$25,000" is selected under "Vendor Cost".
   a. If "Yes" is selected, create a Finance bug.
   b. If "No" is selected, current process stays, nothing is needed.
Comment 1 Winnie Aoieong [:winnie] 2013-01-17 14:46:17 PST
Added Michelle to the bug as well.
Comment 2 Michael Coates [:mcoates] (acct no longer active) 2013-01-17 15:56:48 PST
Can we make sure all non-trivial change to the kick off form go to stage first for testing? I want to minimize the chance we introduce a bug that breaks functionality of the form since we're now live.

Winnie,
Within stage can you run through a few different tests to make sure:
1. your new functionality works
2. the other group bugs are triggered in at least one test?

Thanks
Comment 3 David Lawrence [:dkl] 2013-01-22 11:55:32 PST
Changes have been pushed out for feedback. Let me know if it looks good.

https://bugzilla-stage-tip.mozilla.org/form.moz.project.review

Seems the DB is down currently, but the changes should be there when it comes back up.

dkl
Comment 4 Winnie Aoieong [:winnie] 2013-01-22 13:25:05 PST
Michael - Will definitely test to make sure other group bugs will be generated.

David - I will wait when the DB is up again. Just tried and it's still down.

Thanks, Winnie
Comment 5 Winnie Aoieong [:winnie] 2013-01-22 17:13:42 PST
DB is still down. When can I test this? Thanks dkl!
Comment 6 David Lawrence [:dkl] 2013-01-23 07:52:49 PST
(In reply to Winnie Aoieong from comment #5)
> DB is still down. When can I test this? Thanks dkl!

Back now. Please test.

dkl
Comment 7 Winnie Aoieong [:winnie] 2013-01-24 18:09:24 PST
Tested in stage and created bug 686799. It only opened a legal bug 686800 but not a Finance bug. Can you check?
Comment 8 David Lawrence [:dkl] 2013-01-24 21:00:38 PST
(In reply to Winnie Aoieong from comment #7)
> Tested in stage and created bug 686799. It only opened a legal bug 686800
> but not a Finance bug. Can you check?

Found a bug or two that needed to be fixed and has not been pushed out for testing. Please try again.

Thanks
dkl
Comment 9 Winnie Aoieong [:winnie] 2013-01-25 10:53:38 PST
Tested and this time works.

Generated master bug# 686821 and created dependent bugs 686822 to 686826. This works great and thanks!

A separate enhancement request - Right now the the master bug shows all the dependent bug numbers but an user will not know what these bugs are unless they click on each of them. Can we add the description of what type of bug next to the bug number? E.X. Security Bug - 686822, Finance Bug - 686824?

Thanks!
Comment 10 David Lawrence [:dkl] 2013-01-25 11:01:55 PST
(In reply to Winnie Aoieong from comment #9)
> Tested and this time works.
> 
> Generated master bug# 686821 and created dependent bugs 686822 to 686826.
> This works great and thanks!
> 
> A separate enhancement request - Right now the the master bug shows all the
> dependent bug numbers but an user will not know what these bugs are unless
> they click on each of them. Can we add the description of what type of bug
> next to the bug number? E.X. Security Bug - 686822, Finance Bug - 686824?
> 
> Thanks!

If you mouse over the bug ids in the master bug page, a box displays the summary of the bug you are hovering over. The summary should explain enough about what the bug is for.

dkl
Comment 11 Michael Coates [:mcoates] (acct no longer active) 2013-01-25 11:06:37 PST
(In reply to David Lawrence [:dkl] from comment #10)
> (In reply to Winnie Aoieong from comment #9)
> > Tested and this time works.
> > 
> > Generated master bug# 686821 and created dependent bugs 686822 to 686826.
> > This works great and thanks!
> > 
> > A separate enhancement request - Right now the the master bug shows all the
> > dependent bug numbers but an user will not know what these bugs are unless
> > they click on each of them. Can we add the description of what type of bug
> > next to the bug number? E.X. Security Bug - 686822, Finance Bug - 686824?
> > 
> > Thanks!
> 
> If you mouse over the bug ids in the master bug page, a box displays the
> summary of the bug you are hovering over. The summary should explain enough
> about what the bug is for.
> 
> dkl

That works except when you don't have access to the bug - like legal bugs. That's the main driver for the enhancement request. When there are several bugs that users don't have access to it's hard to tell if the kickoff form functioned correctly.
Comment 12 David Lawrence [:dkl] 2013-01-26 20:34:17 PST
(In reply to Michael Coates [:mcoates] from comment #11)
> > If you mouse over the bug ids in the master bug page, a box displays the
> > summary of the bug you are hovering over. The summary should explain enough
> > about what the bug is for.
> > 
> > dkl
> 
> That works except when you don't have access to the bug - like legal bugs.
> That's the main driver for the enhancement request. When there are several
> bugs that users don't have access to it's hard to tell if the kickoff form
> functioned correctly.

One option that would not be difficult to implement would be to simply add a second comment to the main project bug, which has each of the created bugs and the summaries listed. The bug ids will be hyper linked but the mouse over summary will still be filtered. Sound reasonable?

dkl
Comment 13 Michael Coates [:mcoates] (acct no longer active) 2013-01-27 16:39:01 PST
(In reply to David Lawrence [:dkl] from comment #12)
> (In reply to Michael Coates [:mcoates] from comment #11)
> > > If you mouse over the bug ids in the master bug page, a box displays the
> > > summary of the bug you are hovering over. The summary should explain enough
> > > about what the bug is for.
> > > 
> > > dkl
> > 
> > That works except when you don't have access to the bug - like legal bugs.
> > That's the main driver for the enhancement request. When there are several
> > bugs that users don't have access to it's hard to tell if the kickoff form
> > functioned correctly.
> 
> One option that would not be difficult to implement would be to simply add a
> second comment to the main project bug, which has each of the created bugs
> and the summaries listed. The bug ids will be hyper linked but the mouse
> over summary will still be filtered. Sound reasonable?
> 
> dkl

That's perfect. So the summaries of the dependent bugs filed would be explained as a comment within the master bug. Sounds great.
Comment 14 David Lawrence [:dkl] 2013-01-27 20:04:17 PST
(In reply to Michael Coates [:mcoates] from comment #13) 
> > One option that would not be difficult to implement would be to simply add a
> > second comment to the main project bug, which has each of the created bugs
> > and the summaries listed. The bug ids will be hyper linked but the mouse
> > over summary will still be filtered. Sound reasonable?
> > 
> > dkl
> 
> That's perfect. So the summaries of the dependent bugs filed would be
> explained as a comment within the master bug. Sounds great.

Cool. Bug 835212.

dkl
Comment 15 Winnie Aoieong [:winnie] 2013-01-31 09:38:38 PST
dkl - since the original ask of this bug is now tested and works, can you push this to production? we already have another bug opened for the other enhancement request. 

thanks, winnie
Comment 16 David Lawrence [:dkl] 2013-01-31 10:21:54 PST
Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.0             
modified extensions/MozProjectReview/Extension.pm
modified extensions/MozProjectReview/template/en/default/bug/create/comment-moz-project-review.txt.tmpl                                                                      
modified extensions/MozProjectReview/template/en/default/bug/create/create-moz-project-review.html.tmpl
modified extensions/MozProjectReview/web/js/moz_project_review.js
Committed revision 8464.

Committing to: bzr+ssh://dlawrence%40mozilla.com@bzr.mozilla.org/bmo/4.2             
modified extensions/MozProjectReview/Extension.pm
modified extensions/MozProjectReview/template/en/default/bug/create/comment-moz-project-review.txt.tmpl                                                                      
modified extensions/MozProjectReview/template/en/default/bug/create/create-moz-project-review.html.tmpl                                                                      
modified extensions/MozProjectReview/web/js/moz_project_review.js
Committed revision 8529.

Cool. Will be in the next code push.
dkl

Note You need to log in before you can comment on or make changes to this bug.